Show / Hide Table of Contents

# Class OpenIddictServerOwinOptions

Provides various settings needed to configure the OpenIddict OWIN server integration.

##### Inheritance

System.Object
OpenIddictServerOwinOptions

###### Namespace: OpenIddict.Server.Owin

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerOwinOptions : AuthenticationOptions

### Constructors

#### OpenIddictServerOwinOptions()

Creates a new instance of the OpenIddictServerOwinOptions class.

##### Declaration

    public OpenIddictServerOwinOptions()

### Properties

#### AuthorizationRequestCachingPolicy

Gets or sets the caching policy used by the authorization endpoint.

##### Declaration

    public DistributedCacheEntryOptions AuthorizationRequestCachingPolicy { get; set; }

##### Property Value

Type | Description
--- | ---
DistributedCacheEntryOptions |

#### DisableTransportSecurityRequirement

Gets or sets a boolean indicating whether incoming requests arriving on insecure endpoints should be rejected. By default, this property is set to `false` to help mitigate man-in-the-middle attacks.

##### Declaration

    public bool DisableTransportSecurityRequirement { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EnableAuthorizationEndpointPassthrough

Gets or sets a boolean indicating whether the pass-through mode is enabled for the authorization endpoint. When the pass-through mode is used, OpenID Connect requests are initially handled by OpenIddict. Once validated, the rest of the request processing pipeline is invoked, so that OpenID Connect requests can be handled at a later stage (in a custom middleware or in a MVC controller, for instance).

##### Declaration

    public bool EnableAuthorizationEndpointPassthrough { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EnableAuthorizationRequestCaching

Gets or sets a boolean indicating whether requests received by the authorization endpoint should be cached. When enabled, authorization requests are automatically stored in the distributed cache, which allows flowing large payloads across requests. Enabling this option is recommended when using external authentication providers or when large GET or POST OpenID Connect authorization requests support is required.

##### Declaration

    public bool EnableAuthorizationRequestCaching { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EnableErrorPassthrough

Gets or sets a boolean indicating whether OpenIddict should allow the rest of the request processing pipeline to be invoked when returning an error from the interactive authorization and logout endpoints. When this option is enabled, special logic must be added to these actions to handle errors, that can be retrieved using

##### Declaration

    public bool EnableErrorPassthrough { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EnableLogoutEndpointPassthrough

Gets or sets a boolean indicating whether the pass-through mode is enabled for the authorization endpoint. When the pass-through mode is used, OpenID Connect requests are initially handled by OpenIddict. Once validated, the rest of the request processing pipeline is invoked, so that OpenID Connect requests can be handled at a later stage (in a custom middleware or in a MVC controller, for instance).

##### Declaration

    public bool EnableLogoutEndpointPassthrough { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EnableLogoutRequestCaching

Gets or sets a boolean indicating whether requests received by the logout endpoint should be cached. When enabled, authorization requests are automatically stored in the distributed cache.

##### Declaration

    public bool EnableLogoutRequestCaching { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EnableTokenEndpointPassthrough

Gets or sets a boolean indicating whether the pass-through mode is enabled for the token endpoint. When the pass-through mode is used, OpenID Connect requests are initially handled by OpenIddict. Once validated, the rest of the request processing pipeline is invoked, so that OpenID Connect requests can be handled at a later stage (in a custom middleware or in a MVC controller, for instance).

##### Declaration

    public bool EnableTokenEndpointPassthrough { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EnableUserinfoEndpointPassthrough

Gets or sets a boolean indicating whether the pass-through mode is enabled for the userinfo endpoint. When the pass-through mode is used, OpenID Connect requests are initially handled by OpenIddict. Once validated, the rest of the request processing pipeline is invoked, so that OpenID Connect requests can be handled at a later stage (in a custom middleware or in a MVC controller, for instance).

##### Declaration

    public bool EnableUserinfoEndpointPassthrough { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EnableVerificationEndpointPassthrough

Gets or sets a boolean indicating whether the pass-through mode is enabled for the user verification endpoint. When the pass-through mode is used, OpenID Connect requests are initially handled by OpenIddict. Once validated, the rest of the request processing pipeline is invoked, so that OpenID Connect requests can be handled at a later stage (in a custom middleware or in a MVC controller, for instance).

##### Declaration

    public bool EnableVerificationEndpointPassthrough { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### LogoutRequestCachingPolicy

Gets or sets the caching policy used by the logout endpoint.

##### Declaration

    public DistributedCacheEntryOptions LogoutRequestCachingPolicy { get; set; }

##### Property Value

Type | Description
--- | ---
DistributedCacheEntryOptions |

#### Realm

Gets or sets the optional "realm" value returned to the caller as part of the WWW-Authenticate header.

##### Declaration

    public string Realm { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |